Subject: Re: [PATCH v3 1/2] [POWERPC] MPC832x_RDB: update dts to use spi, register mmc_spi stub

From: Segher Boessenkool <[email-masked]>
Date: Sun, 12 Aug 2007 13:36:41 +0200

>>> But, many SoCs do have a notion of device "number", which is relevant
>>> for programming other general control registers in places.  We need 
>>> to
>>> encode it somehow, and it would be good to have a consistent way of
>>> doing it.
>>
>> I'm not convinced there isn't a more direct way to represent
>> the relevant relationships.
>>
>> Either way, we don't have enough experience with this stuff
>> yet to know what works well and what doesn't (at least, I
>> don't, and I haven't seen any evidence that others do); so
>> I'd prefer to keep this in per-device bindings for now; it
>> should be there anyhow, but once we do have experience with
>> it we could do some recommendation.
>
> Well of course it will remain in the per-device bindings.  But just
> because these are in different per-device bindings doesn't mean we
> can't *try* to use consistent property names for similar things...

Sure, if those properties do exactly the same thing, identical
names are a good thing.  Until we're reasonably certain that this
is a good way to do things I'd rather people experiment a bit
instead of all cluster around a random thing that would be labeled
"de facto standard".

:-)

Segher